Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Data Fields
Lucene::ScoreDoc Class Reference

Expert: Returned by low-level search implementations. More...

`#include <ScoreDoc.h>`

Inheritance diagram for Lucene::ScoreDoc:

## Public Member Functions

| ScoreDoc (int32_t doc, double score)
virtual | ~ScoreDoc ()
virtual String | getClassName ()
boost::shared_ptr< ScoreDoc > | shared_from_this ()
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()

## Data Fields

double | score
| The score of this document for the query.
int32_t | doc
| A hit document's number.

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Expert: Returned by low-level search implementations.

See also
  TopDocs

## Constructor & Destructor Documentation

## ◆ ScoreDoc()

Lucene::ScoreDoc::ScoreDoc | ( | int32_t | doc,
|  | double | score
| ) |  |

## ◆ ~ScoreDoc()

virtual Lucene::ScoreDoc::~ScoreDoc | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::ScoreDoc::_getClassName | ( |  | ) |

inline static

## ◆ getClassName()

virtual String Lucene::ScoreDoc::getClassName | ( |  | ) |

inline virtual

Reimplemented in Lucene::FieldDoc, and Lucene::FieldValueHitQueueEntry.

## ◆ shared_from_this()

boost::shared_ptr< ScoreDoc > Lucene::ScoreDoc::shared_from_this | ( |  | ) |

inline

## ◆ toString()

virtual String Lucene::ScoreDoc::toString | ( |  | ) |

virtual

Returns a string representation of the object.

Reimplemented from Lucene::LuceneObject.

Reimplemented in Lucene::FieldDoc, and Lucene::FieldValueHitQueueEntry.

## Field Documentation

## ◆ doc

int32_t Lucene::ScoreDoc::doc

A hit document's number.

See also
  Searcher::doc(int32_t)

## ◆ score

double Lucene::ScoreDoc::score

The score of this document for the query.

The documentation for this class was generated from the following file:

- ScoreDoc.h

clucene.sourceforge.net